Subject: bug#48335: Emacs is broken

From: Xinglu Chen <[email-masked]>
Date: Sat, 22 May 2021 12:14:46 +0200

On Fri, May 21 2021, Maxim Cournoyer wrote:

> Hi,
>
> Xinglu Chen <[email-masked]> writes:
>
>> ~/src/guix $ guix environment --ad-hoc emacs -- emacs --version
>> The following derivation will be built:
>>    /gnu/store/js53a7lydr66bk3wpwkaj1j8j43mirrm-profile.drv
>>
>> building CA certificate bundle...
>> listing Emacs sub-directories...
>> building fonts directory...
>> generating GLib schema cache...
>> creating GTK+ icon theme cache...
>> building cache files for GTK+ input methods...
>> building directory of Info manuals...
>> building database for manual pages...
>> building XDG desktop file cache...
>> building XDG MIME database...
>> building profile with 1 package...
>> /gnu/store/gbzd8hc6360vaxmk2xh5bzkx7dkkwl8q-profile/bin/emacs: error while loading shared libraries: libm17n-core.so.0: cannot open shared object file: No such file or directory
>>
>> Since other people aren’t able to reproduce this, I am OK with closing
>> this bug.
>
> I tried that exact commit:
>
> $ guix time-machine --commit=652a03888e1609bd1a687326760436867fe2abb7 -- environment --ad-hoc emacs -- emacs --version
> GNU Emacs 27.2
> Copyright (C) 2021 Free Software Foundation, Inc.
> GNU Emacs comes with ABSOLUTELY NO WARRANTY.
> You may redistribute copies of GNU Emacs
> under the terms of the GNU General Public License.
> For more information about these matters, see the file named COPYING.
>
> I cannot reproduce it here.
>
> Do you use channels?  If so, could you
>
> $ mv ~/.config/guix/channels.scm{,.bak}
> $ guix pull
> $ guix environment --ad-hoc emacs -- emacs --version

That still gives me the same error as before.  I have started to give up
on trying to fix this bug, using ‘emacs-native-comp’ from the
flatwhatson channel[1] has been working fine for me.

[1]: https://github.com/flatwhatson/guix-channel